package controller;

import java.io.Serializable;

/**
 * Controller settings class.
 * @author Kuat
 *
 */
class ControllerSettings implements Serializable {
	private static final long serialVersionUID = 5485653470886719673L;
	
	final boolean isOnline;
	// User name
	final String userName;
	// Purge period in milliseconds (0) for no purging
	final long purgePeriod; 
	// Start-up view
	final Class view;
	// Profile location
	private transient String profile;
	
	ControllerSettings(String userName, long l, Class view, boolean isOnline) {
		this.userName = userName;
		this.purgePeriod = l;
		this.view = view;
		this.profile = null;
		this.isOnline = isOnline;
	}
	
	void setProfileLocation(String profile) {
		this.profile = profile;
	}
	
	String getProfileLocation() {
		return profile;
	}
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("Username: " + userName);
		sb.append("\nPurge period: " + purgePeriod / (60000L*24*60));
		sb.append("\nView: " + view.getName());
		sb.append("\nLocation: " + profile);
		return sb.toString();
	}
}
