package data;

/**
 * A channel which is a category of feeds.
 * Feed is contained is a single channel.
 * Channel can contain no feeds.
 * Channels contain different feeds.
 * Name of a channel can change but its content might still be the same.
 * Identification is done based on internal ID.
 * @author Kuat
 *
 */
public class Channel implements Container{
 
	private String name;
	private int id;
	
	public String getName() {
		return name;
	}
	
	int getId() {
		return id;
	}
	
	Channel(String name, int id) {
		assert name != null;
		
		this.name = name;
		this.id = id;
	}

	void setName(String name) {
		this.name = name;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (!(obj instanceof Channel))
			return false;
		
		return ((Channel) obj).getId() == id;
	}

	@Override
	public int hashCode() {
		return id;
	}

	@Override
	public String toString() {
		return name;
	}
}
