package data;

/**
 * A geographic location on Earth represented by longitude and latitude;
 * @author Kuat
 *
 */
public class GeoPoint {
	public static final GeoPoint ZERO = new GeoPoint(0,0);
	public static final GeoPoint INFINITY = new GeoPoint(400, 400);

	private final double latitude;
	
	private final double longitude;
	
	public GeoPoint(double lat, double lon) {
		this.latitude = lat;
		this.longitude = lon;
	}
	
	/**
	 * Return latitude.
	 * @return
	 */
	public double getLatitude() {
		return latitude;
	}
	
	/**
	 * Returns longitude.
	 * @return
	 */
	public double getLongitude() {
		return longitude;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (!(obj instanceof GeoPoint)) 
			return false;
		GeoPoint geo = (GeoPoint) obj;
		return ((geo.latitude == this.latitude) && (geo.longitude == this.longitude));
	}
	
	@Override
	public int hashCode() {		
		return new Double(this.latitude).hashCode() + new Double(this.longitude).hashCode();
	}
	
	@Override
	public String toString() {
		return Double.toString(latitude) + " " + Double.toString(longitude);
	}
}
