package search;

import data.Container;
import data.Virtual;

/**
 * Interface between search control and search results view.
 * @author Kuat
 *
 */
public interface SearchObserver {

	/**
	 * Display results given by the virtual.
	 * @param search a virtual 
	 */
	public void displayResults(Virtual search);
	
	/**
	 * Cancels any previous search (if any was displayed)
	 *
	 */
	public void cancelSearch();
	
	/**
	 * Returns the current view displayed by the component.
	 * @return a virtual, feed, or a channel
	 */
	public Container currentView();
}
