package search;

import java.io.Serializable;

/**
 * Describes search preferences.
 * @author Kuat
 *
 */
class SearchPreferences implements Serializable {
	private static final long serialVersionUID = -8900194604267068907L;

	public static enum SEARCH_OPTION {
		SQL,
		LUCENE;
	};
	
	boolean limit;
	boolean searchWithinView;
	boolean incremental;
	boolean unreadOnly;
	
	SEARCH_OPTION searchOption;
	int limitFactor;
	
	public SearchPreferences() {
		limit = true;
		searchWithinView = false;
		incremental = true;
		unreadOnly = false;
		searchOption = SEARCH_OPTION.SQL;
		limitFactor = 25;
	}
}
