package settings;

import java.io.Serializable;

/**
 * Google Maps view settings.
 * @author oleg
 */
public class GoogleMapsViewSettings implements Serializable {
	private static final long serialVersionUID = -110898514493612362L;
	public final int mainWidth;
	public final int mainHeight;
	public final int[] mainWeights;
	public final int limit;
	public final int[] folderPaneSelection;
	public final int statusWidth;
	public GoogleMapsViewSettings(final int mainWidth, final int mainHeight, final int statusWidth, final int[] mainWeights, final int limit, final int[] folderPaneSelection) {
		this.mainWidth = mainWidth;
		this.mainHeight = mainHeight;
		this.mainWeights = mainWeights;
		this.statusWidth = statusWidth;
		this.limit = limit;
		this.folderPaneSelection = folderPaneSelection;
	}
	public static GoogleMapsViewSettings defaultSettings() {
		return new GoogleMapsViewSettings(800,500,300,new int[] {1,4},50, new int[] {-1,-1});
	}
}
