package settings;

import org.eclipse.swt.widgets.Shell;

import view.components.RSSMailPane;

/**
 * A dialog for setting the style of articles displayed in the mail view.
 * @author oleg
 */
public class MailPaneAppearanceDialog extends AppearanceDialog { 
	@Override
	protected void showAppearance() {
		StringBuffer xhtml = new StringBuffer("<html><head><title></title><style type=\"text/css\">\n");
		xhtml.append(appearance.getArticleCSS()).append("\n</style></head><body>");
		xhtml.append("<p class=\"rssheader\"><a class=\"rsslink\" href=\"http://google.com\">Article Title</a><br/>\n");
		xhtml.append("By Author, 11/22/2006 22:22</p>\n");
		xhtml.append("<p>article content</p></body></html>");
		browser.setText(xhtml.toString());
	}
	@Override
	protected void applyClicked() {
		pane.setAppearance(appearance);
	}
	private MailPaneAppearance appearance;
	private final RSSMailPane pane;
	/**
	 * Create and show a new dialog.
	 * @param parent parent shell
	 * @param currentAppearance the current style
	 * @param view the mail view to return a new style to 
	 */
	public MailPaneAppearanceDialog(Shell parent, final RSSMailPane pane) {
		super(parent, 8);
		this.appearance = new MailPaneAppearance(pane.getAppearance());
		this.pane = pane;
		addFontButton("Change title font...", "Select title font", appearance, "titleFont", "titleColor");
		addColorButton("Change title font color...", "Select title font color", appearance, "titleColor");
		addFontButton("Change date font...", "Select date font", appearance, "dateFont", "dateColor");
		addColorButton("Change date font color...", "Select date font color", appearance, "dateColor");
		addColorButton("Change header background...", "Select header background", appearance, "headerBackground");
		addFontButton("Change article font...", "Select article font", appearance, "articleFont", "articleColor");
		addColorButton("Change article font color...", "Select article font color", appearance, "articleFont");		
		addColorButton("Change article background...", "Select article background", appearance, "articleBackground");
		
		
		showAppearance();
		
		shell.pack();
		shell.open();
		
		while (!input.isDisposed()) {
			if (!input.getDisplay().readAndDispatch()) {
				input.getDisplay().sleep();
			}
		}
	}
}
