package settings;

import java.io.Serializable;

/**
 * Newspaper view settings.
 * @author oleg
 */
public class NewspaperViewSettings implements Serializable {
	private static final long serialVersionUID = 6063361665596608714L;
	public final int mainWidth;
	public final int mainHeight;
	public final int[] sashWeights;
	public final int[] folderPaneSelection;
	public final NewspaperPaneAppearance appearance;
	public NewspaperViewSettings(final int mainWidth, final int mainHeight, final int[] sashWeights, final int[] folderPaneSelection, final NewspaperPaneAppearance appearance) {
		this.mainWidth = mainWidth;
		this.mainHeight = mainHeight;
		this.sashWeights = sashWeights;
		this.folderPaneSelection = folderPaneSelection;
		this.appearance = appearance;
	}
	/**
	 * Returns default newspaper view settings.
	 * @return
	 */
	public static NewspaperViewSettings defaultSettings() {
		 return new NewspaperViewSettings(
				 500,600,new int[]{1,2}, new int[] {-1,-1},
				 NewspaperPaneAppearance.defaultAppearance());
	}
}
