package test;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import util.ReflectionUtils;

/**
 * A test for reflection utils.
 * @author oleg
 */
public class ReflectionUtilTest extends TestCase {

	class A {
		
	}
	
	class B extends A {
		
	}
	
	class C extends B {
		
	}
	
	
	public ReflectionUtilTest(String s) {
		super(s);
	}
	
	public void superclassTest() {
		assertTrue("Returned false for a superclass of level 1",ReflectionUtils.isSuperClass(A.class, B.class));
		assertTrue("Returned false for a superclass of level 2",ReflectionUtils.isSuperClass(A.class, C.class));
		assertFalse("Returned true for classes supplied in a wrong order",ReflectionUtils.isSuperClass(B.class, A.class));
		assertFalse("Returned true for two same classes",ReflectionUtils.isSuperClass(B.class, B.class));
	}
	
	public static Test suite() {
		TestSuite suite = new TestSuite();
		suite.addTest(new ReflectionUtilTest("superclassTest"));
		return suite;
	}
}
