package util;

import org.eclipse.swt.SWT;

/**
 * CSS utils
 * @author oleg
 */
public class CSSUtils {
	/**
	 * Get a CSS font attribute from font data
	 * @param fd font data
	 * @return an string such as <b>bold 8pt Tahoma</b>
	 */
	public static String getCSSFont(SFontData fd) {
		StringBuffer css = new StringBuffer();
		int style = fd.style;
		if ((style & SWT.ITALIC) != 0) css.append("italic ");
		if ((style & SWT.BOLD) != 0) css.append("bold ");
		return css.append(fd.size).append("pt ").append(fd.name).toString();
	}
	private static String intToHexString2D(int i) {
		String hex  = Integer.toHexString(i);
		if (i < 16) return "0" + hex;
		else return hex;
	}
	/**
	 * Converts an RGB color specification to HTML/hex.
	 * @param rgb color in RGB
	 * @return a string representing the same color such as <b>#12ab3d</b>
	 */
	public static String getCSSColor(SRGB rgb) {
		return new StringBuffer("#").append(intToHexString2D(rgb.red)).append(intToHexString2D(rgb.green)).append(intToHexString2D(rgb.blue)).toString();
	}
}
