package util;

import java.io.File;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;

/**
 * File operations utilities and constants. 
 * @author oleg
 */
public class FileUtil {
	/**
	 * 	
	 * @param c class packed in a jar
	 * @param path path to the file in the jar
	 * @param prefix temporary file prefix
	 * @param ext temporary file extension
	 * @return a canonical path to the temporary file
	 * @throws IOException
	 */
	public static String extractResource(Class c, String path, String prefix, String ext) throws IOException {

		File tmpfile = File.createTempFile(prefix, ext);
		FileOutputStream fs = new FileOutputStream(tmpfile);
		InputStream is = c.getResourceAsStream(path);

			int b = is.read();
			while (b != -1) {
				fs.write(b);
				b = is.read();

			}
			fs.close();
			is.close();
			return tmpfile.getCanonicalPath();
	}
}
