package util;

import java.io.Serializable;

/**
 * A generic pair. 
 * @author oleg
 */
public class Pair<F,S> implements Serializable {
	private static final long serialVersionUID = 270720805629828228L;
	/**
	 * The first object.
	 */
	public final F car;
	/**
	 * The second object.
	 */
	public final S cdr;
	/**
	 * Creates a pair.
	 * @param car first object
	 * @param cdr second object
	 */
	public Pair(F car, S cdr) {
		this.car = car;
		this.cdr = cdr;
	}
}
