package util;

/**
 * Reflection utilities.
 * @author oleg
 */
public class ReflectionUtils {
	/**
	 * Checks if one class is a superclass (of depth > 0) of another.
	 * @param superclass prospective superclass
	 * @param subclass prospective subclass
	 * @return 
	 */
	public static boolean isSuperClass(Class superclass, Class subclass) {
		Class sc = subclass.getSuperclass();
		while (sc != null) {
			if (superclass.equals(sc)) return true;
			else sc = sc.getSuperclass();
		}
		return false;
	}
}
