package util;

import java.io.Serializable;

import org.eclipse.swt.graphics.FontData;

/**
 * Serializable font data
 * @author oleg
 *
 */
public class SFontData implements Serializable {
	private static final long serialVersionUID = 2575348137899606870L;
	/**
	 * Font name.
	 */
	public final String name;
	/**
	 * Font height in points.
	 */
	public final int size;
	/**
	 * Font style (corresponds to an SWT fonts style).
	 */
	public final int style;
	public SFontData(final String name, final int size, final int style) {
		this.name = name;
		this.size = size;
		this.style = style;
	}
	public FontData toFontData() {
		return new FontData(name,size,style);
	}
	public SFontData(FontData fontData) {
		this.name = fontData.getName();
		this.size = fontData.getHeight();
		this.style = fontData.getStyle();
	}
}
