package util;

import java.io.Serializable;

import org.eclipse.swt.graphics.RGB;

/**
 * Serializable RGB color.
 * @author oleg
 *
 */
public class SRGB implements Serializable {
	private static final long serialVersionUID = 3821011356842744176L;
	/**
	 * The red component.
	 */
	public final int red;
	/**
	 * The green component.
	 */
	public final int green;
	/**
	 * The blue component.
	 */
	public final int blue;
	/**
	 * Creates a new serializable color.
	 * @param red 
	 * @param green
	 * @param blue
	 */
	public SRGB(final int red, final int green, final int blue) {
		this.red = red;
		this.green = green;
		this.blue = blue;
	}
	/**
	 * Converts to SWT color.
	 * @return
	 */
	public RGB toRGB() {
		return new RGB(red,green,blue);
	}
	/**
	 * Creates a new serializable color from an SWT color.
	 * @param rgb SWT color
	 */
	public SRGB(RGB rgb) {
		this.red = rgb.red;
		this.green = rgb.green;
		this.blue = rgb.blue;
	}
}
