package util;

import data.DataException;

/**
 * Trace class for directing debugging output to correct stream.
 * @author Kuat
 *
 */
public class Trace {
	
	public static enum Level {
		NONE,
		DEBUG,
		VERBOSE
	}
	
	private static Level traceLevel = Level.NONE;
	
	public static void setTraceLevel(Level level) {
		traceLevel = level;
	}
	
	public static void printException(Exception e) {
		if (traceLevel != Level.NONE) {
			if (e instanceof DataException)
				System.out.println(e);
			else
				e.printStackTrace();
		}
	}
	
	public static void printVerbose(String msg) {
		if (traceLevel == Level.VERBOSE) {
			System.out.println(msg);
		}
	}
	
	public static void printException(String msg) {
		if (traceLevel != Level.NONE) {
			System.out.println(msg);
		}
	}
}
