package view;

import java.util.Collection;

import data.ArticleInfo;
import data.Channel;
import data.Feed;
import data.Virtual;

/**
 * The interface for the download manager to notify a view.
 * @author oleg
 */
public interface RSSObserver {
	/**
	 * New feed added.
	 * @param feed
	 */
	public void newFeed(Feed feed);
	/**
	 * New articles added.
	 * @param info
	 */
	public void newArticles(Collection<ArticleInfo> info);
	/**
	 * New virtual added.
	 * @param virtual
	 */
	public void newVirtual(Virtual virtual);
	/**
	 * New folder added.
	 * @param channel
	 */
	public void newChannel(Channel channel);
}
