package view.components;

import data.Channel;
import data.Feed;
import data.Virtual;

/**
 * Observes selection events in a FolderPane. 
 * @author oleg
 */
public interface ContainerSelectionObserver {
	/**
	 * Reacts on a feed (not outbox) selection
	 * @param feed
	 */
	public void feedSelected(Feed feed);
	/**
	 * Reacts on a virtual selection.
	 * @param virtual
	 * @param keepSelection indicates whether the observer should try keeping the current article selected. Should be used when a virtual is updated. 
	 */
	public void virtualSelected(Virtual virtual, boolean keepSelection);
	/**
	 * Reacts on the outbox selection
	 * @param feed
	 */
	public void outboxSelected(Feed feed);
	/**
	 * Reacts on the channel selection
	 * @param channel
	 */
	public void channelSelected(Channel channel);
}
