package view.components;

import data.Feed;

/**
 * A common interface for components providing means to select feed/folder/virtuals. 
 * @author oleg
 */
public interface ContainerSelector {
	/**
	 * Notifies the selector that a feed has been updated. 
	 * @param feed the updated feed
	 * @param newArticles indicates whether new articles arrived (an alternative being status change of an article)
	 */
	public void feedUpdated(Feed feed, boolean newArticles);
	/**
	 * Adds an observer which is to be notifies about container selection events.
	 * @param observer container selection observer
	 */
	public void addContainerSelectionObserver(ContainerSelectionObserver observer);
}
