package view.dnd;

import org.eclipse.swt.dnd.ByteArrayTransfer;
import org.eclipse.swt.dnd.TransferData;

/**
 * A byte array DND transfer for feeds.
 * @author oleg
 */
public class FeedTransfer extends ByteArrayTransfer {
	private static final String feedTransferName = "feedTransfer";
	private static final int feedTransferId = registerType(feedTransferName);
	private static FeedTransfer instance = new FeedTransfer();
	
	/**
	 * Gets the instance.
	 * @return the instance
	 */
	public static FeedTransfer instance() {
		return instance;
	}
	
	public void javaToNative (Object object, TransferData transferData) {
	 	if (object == null || !(object instanceof String)) {
	 		return;
	 	}
	 	if (isSupportedType(transferData)) {
	 		super.javaToNative(((String) object).getBytes(), transferData);
	 	}
	 }
	 public Object nativeToJava(TransferData transferData){	
	 	if (isSupportedType(transferData)) {
	 	byte[] buffer = (byte[])super.nativeToJava(transferData);
	 	return new String(buffer);
	 	} else return null;
	 }
	
	
	@Override
	protected int[] getTypeIds() {
		return new int[]{feedTransferId};
	}

	@Override
	protected String[] getTypeNames() {
		return new String[]{feedTransferName};
	}
	
}
