package view.dnd;

import org.eclipse.swt.dnd.ByteArrayTransfer;

/**
 * A byte array DND transfer for Internet Explorer URLs. 
 * @author oleg
 */
public class IEURLTransfer extends ByteArrayTransfer {
	private static final IEURLTransfer instance = new IEURLTransfer();
	private final int[] ids;
	private final String[] names;
	@Override
	protected int[] getTypeIds() {
		return ids;
	}

	@Override
	protected String[] getTypeNames() {
		return names;
	}
	
	private IEURLTransfer() {
		ids = new int[] {49347};
		names = new String[] {"UniformResourceLocator"};
	}
	/** 
	 * Gets the instance.
	 * @return the instance
	 */
	public static IEURLTransfer instance() {
		return instance;
	}
}
