package webapi.search;

/**
 * Information about a feed. 
 * @author oleg
 */
public class WebSearchResult {
	final private String title;
	final private String feedURL;
	final private String info;
	final private String siteURL;
	/**
	 * Constructor. 
	 * @param title the title of the feed
	 * @param siteURL the url of the website
	 * @param feedURL the url of the feed
	 * @param info additional information such as an article excerpt of feed description
	 */
	public WebSearchResult(final String title, final String siteURL, final String feedURL, final String info) {
		this.title = title;
		this.feedURL = feedURL;
		this.info = info;
		this.siteURL = siteURL;
	}
	/**
	 * Gets the additional information.
	 * @return the additional information
	 */
	public String getInfo() {
		return info;
	}
	/**
	 * Gets the feed title
	 * @return the feed title
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * Gets the feed URL
	 * @return the feed URL
	 */
	public String getFeedURL() {
		return feedURL;
	}
	/**
	 * Gets the URL of the website
	 * @return the URL of the website
	 */
	public String getSiteURL() {
		return siteURL;
	}
}
