package webapi.search;

import java.util.Collection;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import controller.Controller;

/**
 * Displays results of a web search for feeds.
 * @author oleg
 */
public abstract class WebSearchView extends Composite {
	/**
	 * Displays search results.
	 * @param results search results
	 */
	public abstract void show(Collection<WebSearchResult> results);
	/**
	 * The controller.
	 */
	protected final Controller controller;
	
	/**
	 * Constructor
	 * @param parent parent pane
	 * @param controller controller
	 */
	protected WebSearchView(Composite parent, Controller controller) {
		super(parent,SWT.NONE);
		this.controller = controller;
	}
}
 